## edu.cwru.SimpleRTS.action
Class LocatedProductionAction

    java.lang.Object
      edu.cwru.SimpleRTS.action.Action
          edu.cwru.SimpleRTS.action.LocatedProductionAction

    public class LocatedProductionAction

extends Action

Constructor Summary
`LocatedProductionAction(int unitid, ActionType type, int templateid, int x, int y)`

Method Summary
`int` `getTemplateId()`
`int` `getX()`
`int` `getY()`
`java.lang.String` `toString()`

Methods inherited from class edu.cwru.SimpleRTS.action.Action
`createCompoundAttack, createCompoundBuild, createCompoundDeposit, createCompoundGather, createCompoundMove, createCompoundProduction, createFail, createPermanentFail, createPrimitiveBuild, createPrimitiveDeposit, createPrimitiveGather, createPrimitiveMove, createPrimitiveProduction, getType, getUnitId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocatedProductionAction

    public LocatedProductionAction(int unitid,
                                   ActionType type,
                                   int templateid,
                                   int x,
                                   int y)

Method Detail

### getTemplateId

    public int getTemplateId()

### getX

    public int getX()

### getY

    public int getY()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Action`